laravel/routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/home','IndexController@index');
Route::get('/allreport','IndexController@index');

Route::get('/allpatient','Patients\IndexController@index');
Route::get('/create_patients','Patients\CreateEditController@create');
Route::post('/save/patient','Patients\CreateEditController@store')->name('patient.store');
Route::post('/save/patient?redirectlink=1','Patients\CreateEditController@storeRedirectreport')->name('patientredirectreport.store');

Route::get('/edit_patient/{id}','Patients\CreateEditController@edit');
Route::post('/update/patient/{id}','Patients\CreateEditController@update')->name('patient.update');
Route::delete('myproductsDeleteAll', 'Patients\CreateEditController@deleteAll');

Route::post('/updatereport','ReportController@update');
Route::get('/createreport','ReportController@create');
Route::post('/create/charactor','CharactorController@store');
Route::post('/update/charactor','CharactorController@update');
Route::post('/delete/charactor','CharactorController@delete');

Route::post('/create/relation','RelationController@store');
Route::post('/delete/relation','RelationController@delete');

Route::group(['prefix'=>'/admin','middleware' => 'roles','roles' => ['Admin']], function () {
    Route::get('/', function () {
        return view('admin');
    })->name('admin');

Route::get('/admin', [
       'uses' => 'AppController@getAdminPage',
       'as' => 'admin',
       'middleware' => 'roles',
       'roles' => ['Admin']
   ]);

   Route::post('/admin/assign-roles', [
           'uses' => 'AppController@postAdminAssignRoles',
           'as' => 'admin.assign',
           'middleware' => 'roles',
           'roles' => ['Admin']
       ]);

       Route::get('/signup', [
        'uses' => 'AuthController@getSignUpPage',
        'as' => 'signup'
    ]);
    Route::post('/signup', [
        'uses' => 'AuthController@postSignUp',
        'as' => 'signup'
    ]);
    Route::get('/import_excel_user', 'ImportExcelController@userimport');
    Route::get('/import_excel_block', 'ImportExcelController@blockimport');

    Route::post('/import_excel/importuser', 'ImportExcelController@importuser');
    Route::post('/import_excel/importblock', 'ImportExcelController@importblock');
    Route::post('/import_excel/importcustomer', 'ImportExcelController@importcustomer');
    Route::post('/import_excel/importcar', 'ImportExcelController@importcar');
    Route::post('/import_excel/importcarinsurance', 'ImportExcelController@importotherinsurance');
    Route::post('/import_excel/importotherinsurance', 'ImportExcelController@importcarinsurance');
    Route::post('/import_excel/importshow', 'ImportExcelController@importshow');
    Route::get('/import_excel/userdata', 'ImportExcelController@getuserdata');
    Route::get('/import_excel/structuredata', 'ImportExcelController@getstructuredata');

    Route ::resource('peradmin','PerAdminController');
    Route::post('peradmin/search', 'PerAdminController@search')->name('peradmin.search');

    Route::resource('/userauth', 'UserAuthController');
    Route::post('/userauth/search', 'UserAuthController@search')->name('userauth.search');

    Route::post('user-management/search', 'UserManagementController@search')->name('user-management.search');
    Route::resource('user-management', 'UserManagementController');

    Route::resource('employee-management', 'EmployeeManagementController');
    Route::post('employee-management/search', 'EmployeeManagementController@search')->name('employee-management.search');

    Route::resource('/structure', 'StructureController');
    Route::post('/structure/search', 'StructureController@search')->name('structure.search');

    Route::resource('/server', 'ServerController');
    Route::post('/server/search', 'ServerController@search')->name('server.search');

    Route::resource('/portreflink', 'PortRefLinkController');
    Route::post('/portreflink/search', 'PortRefLinkController@search')->name('portreflink.search');
	Route::resource('/membertype', 'MemberTypeController');
    Route::post('/membertype/search', 'MemberTypeController@search')->name('membertype.search');

    Route::resource('/block', 'BlockController');
    Route::post('/block/search', 'BlockController@search')->name('block.search');

    Route::resource('system-management/country', 'CountryController');
    Route::post('system-management/country/search', 'CountryController@search')->name('country.search');

    Route::post('addCountry', 'CountryController@add');


    Route::resource('system-management/state', 'StateController');
    Route::post('system-management/state/search', 'StateController@search')->name('state.search');

    Route::resource('system-management/city', 'CityController');
    Route::post('system-management/city/search', 'CityController@search')->name('city.search');

    Route::resource('/porttype', 'PortTypeController');
    Route::post('/porttype/search', 'PortTypeController@search')->name('porttype.search');
    Route::resource('/portcat', 'PortCatController');
    Route::post('/portcat/search', 'PortCatController@search')->name('portcat.search');
	  Route::resource('/portfolioadmin', 'PortfolioAdminController');
    Route::post('/portfolioadmin/search', 'PortfolioAdminController@search')->name('portfolioadmin.search');
    Route::get('/portfolioadmin/{dep}','PortfolioAdminController@portDep');
    Route::get('/portfolioadmin/{block}','PortfolioAdminController@portblock');
    Route::get('/portfolioadmin','PortfolioAdminController@index');
    Route::get('/portfolioadmin/shows/{id}',['uses'=>'PortfolioAdminController@showdetail']);
    Route::get('/portfolioadmin/uploadfile/{id}',['uses'=>'PortfolioAdminController@gotoup']);
    Route::get('/portfolioadmin/port/file/{id}',['uses'=>'PortfolioAdminController@portfile']);
    Route::get('/portfolioadmin/uploadfile/{id}/{portnumber}/{fileportref}{cat}/{ref}/{filerefname}',['uses'=>'FileAdminController@create']);
    Route::get('/portfolioadmin/editfile/{id}/{portnumber}/{fileportref}{cat}/{ref}/{filerefname}/{fileid}',['uses'=>'FileAdminController@edit']);
    Route::post('/portfileup','FileAdminController@change')->name('file.change');
    Route::get('/showfile/{id}',['uses'=>'PortfolioAdminController@showfile']);
    //Route::post('/portfolioadmin/fixup','FileAdminController@fixup')->name('file.fix');
    Route::match(['put', 'patch'], '/file/fixup/{id}','FileAdminController@fixup')->name('file.fix');

        Route::get('/file/fix/{id}','FileAdminController@fix');

	  Route::resource('/notiadmin', 'NotiAdminController');
    Route::post('/notiadmin/search', 'NotiAdminController@search')->name('notiadmin.search');

	Route::resource('/message_category', 'MessageCategoryController');
    Route::post('/message_category/search', 'MessageCategoryController@search')->name('message_category.search');

    Route::resource('/message-type', 'MessageTypeController');
    Route::post('/message-type/search', 'MessageTypeController@search')->name('message-type.search');

	  Route::resource('/match-id', 'MatchIdController');
    Route::post('/match-id/search', 'MatchIdController@search')->name('match-id.search');


    Route::resource('usergroup', 'UserGroupController');
    Route::post('usergroup/search', 'UserGroupController@search')->name('usergroup.search');

    Route::resource('memgroup', 'MemberGroupController');
    Route::post('memgroup/search', 'MemberGroupController@search')->name('memgroup.search');

    Route::resource('pidgroup', 'PidGroupController');
    Route::post('pidgroup/search', 'PidGroupController@search')->name('pidgroup.search');

    Route::resource('/match-user-group', 'MatchUserIdController');
    Route::post('/match-user-group/search', 'MatchUserIdController@search')->name('match-user-group.search');

    Route::resource('/match-member-group', 'MatchMemberIdController');
    Route::post('/match-member-group/search', 'MatchMemberIdController@search')->name('match-member-group.search');
    Route::get('/academicmember', 'MatchMemberIdController@wealththai');

    Route::resource('/match-pid-group', 'MatchPidIdController');
    Route::post('/match-pid-group/search', 'MatchPidIdController@search')->name('match-pid-group.search');

    Route::resource('/permission', 'PermissionController');
    Route::post('/permission/search', 'PermissionController@search')->name('permission.search');


	Route::resource('/view', 'ViewController');
    Route::post('/view/search', 'ViewController@search')->name('view.search');

    Route::resource('/service', 'ServiceCenterController');
    Route::post('/service/search', 'ServiceCenterController@search')->name('service.search');
    //Route::post('/service/save','ServiceCenterController@store')->name('servicecenter.store');

    Route::resource('/serviceform', 'ServiceFormController');
    Route::post('/serviceform/search', 'ServiceFormController@search')->name('serviceform.search');
    Route::post('/serviceform/sent', 'ServiceFormController@sentservice')->name('serviceform.sentservice');


    Route::resource('/view-member', 'ViewperController');
    Route::post('/view-member/search', 'ViewperController@search')->name('view-member.search');

	Route::resource('/match-view', 'MatchViewController');
    Route::post('/match-view/search', 'MatchViewController@search')->name('match-view.search');

    Route::resource('/match-view-member', 'MatchViewperController');
      Route::post('/match-view-member/search', 'MatchViewperController@search')->name('match-view-member.search');


    Route::resource('usergroup', 'UserGroupController');

laravel/resources/views/users-mgmt/base.blade.php
@extends('layouts.app-template')
@section('content')
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        User Mangement
      </h1>
      <ol class="breadcrumb">
        <!-- li><a href="#"><i class="fa fa-dashboard"></i> Level</a></li-->
        <li class="active">User Mangement</li>
      </ol>
    </section>
    @yield('action-content')
    <!-- /.content -->
  </div>
@endsection

laravel/resources/views/users-mgmt/baseperson-front.blade.php
@extends('layouts.app-templateperson-front')
@section('content')
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">

      <ol class="breadcrumb">
        <!-- li><a href="#"><i class="fa fa-dashboard"></i> Level</a></li-->
        
      </ol>
    </section>
    @yield('action-content')
    <!-- /.content -->
  </div>
@endsection

laravel/resources/views/users-mgmt/indexsave.blade.php
@extends('users-mgmt.base')
@section('action-content')
    <!-- Main content -->
    <section class="content">
      <div class="box">
        <div class="flash-message">
          @foreach (['danger', 'warning', 'success', 'info'] as $msg)
            @if(Session::has('alert-' . $msg))

            <p class="alert alert-{{ $msg }}">{{ Session::get('alert-' . $msg) }} <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a></p>
            @endif
          @endforeach
        </div>
  <div class="box-header">
    <div class="row">
        <div class="col-sm-8">
          <h3 class="box-title">List of users</h3>
        </div>
        <div class="col-sm-4">
          <a class="btn btn-primary" href="{{ route('user-management.create') }}">Add new user</a>
        </div>
    </div>
  </div>
  <!-- /.box-header -->
  <div class="box-body">
      <div class="row">
        <div class="col-sm-6"></div>
        <div class="col-sm-6"></div>
      </div>
      <form method="POST" action="{{ route('user-management.search') }}">
         {{ csrf_field() }}
         @component('layouts.search', ['title' => 'Search'])
          @component('layouts.two-cols-search-row', ['items' => ['User Name', 'First Name'],
          'oldVals' => [isset($searchingVals) ? $searchingVals['username'] : '', isset($searchingVals) ? $searchingVals['firstname'] : '']])
          @endcomponent
          </br>
           @component('layouts.two-cols-search-row', ['items' => ['Last Name','email'],
          'oldVals' => [isset($searchingVals) ? $searchingVals['lastname'] : '', isset($searchingVals) ? $searchingVals['email'] : '']])
          @endcomponent
        </br>

        @endcomponent
      </form>
    <div id="example2_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
      <div class="row">
        <div class="col-sm-12">
          <div style="overflow-x:auto;">
          <table id="example2" class="table table-bordered table-hover dataTable" role="grid" aria-describedby="example2_info">
            <thead>
              <tr role="row">
                <th width="10%" class="sorting " tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="User Name: activate to sort column ascending">User Name</th>

                <th width="20%" class="sorting " tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="First Name: activate to sort column ascending">First Name</th>
                <th width="20%" class="sorting " tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="Last Name: activate to sort column ascending">Last Name</th>

                <th width="20%" class="sorting " tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="Email: activate to sort column ascending">Email</th>

                <th width="10%" class="sorting" tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="Email: activate to sort column ascending">Status</th>
                <th width="10%" class="sorting" tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="Email: activate to sort column ascending">PublicID</th>

                <th rowspan="20%" colspan="2">Action</th>
              </tr>
            </thead>
            <tbody>
            @foreach ($users as $user)

                <tr styler="color:green;"role="row" class="odd">



                  @if($user->status == "Active")
                  <td style ="background-color:#DAF7A6  ;color:black">{{ $user->username }}</td>
                  <td style ="background-color:#DAF7A6  ;color:black">{{ $user->firstname }}</td>
                  <td style ="background-color:#DAF7A6  ;color:black" >{{ $user->lastname }}</td>
                    <td style ="background-color:#DAF7A6  ;color:black">{{ $user->email }}</td>
                    <td style ="background-color:#DAF7A6  ;color:black">{{ $user->status }}</td>
                    <td style ="background-color:#DAF7A6  ;color:black">{{ $user->user_pid }}</td>
                    <td style ="background-color:#DAF7A6  ;color:black">
                      <form class="row" method="POST" action="{{ route('user-management.destroy', ['id' => $user->id]) }}" onsubmit = "return confirm('Are you sure?')">
                          <input type="hidden" name="_method" value="DELETE">
                          <input type="hidden" name="_token" value="{{ csrf_token() }}">
                          <a href="{{ URL::to('admin/user/resetpassword',$user->id)}}" class="btn btn-info  btn-margin">
                          ResetPassword
                          </a>
                          <a href="{{ route('user-management.edit', ['id' => $user->id]) }}" class="btn btn-warning  btn-margin">
                          Update
                          </a>

                          @if ($user->username != Auth::user()->username)
                           <button type="submit" class="btn btn-danger c btn-margin">
                            Delete
                          </button>
                          @endif
                      </form>
                    </td>


              @elseif ($user->status == "Banned")
              <td style ="background-color:red;color:white;"  >{{ $user->username }}</td>
              <td style ="background-color:red;color:white;"   >{{ $user->firstname }}</td>
              <td style ="background-color:red;color:white;"   >{{ $user->lastname }}</td>
                <td style ="background-color:red;color:white;">{{ $user->email }}</td>
                <td style ="background-color:red;color:white;">{{ $user->status }}</td>
                <td style ="background-color:red;color:white;">{{ $user->user_pid }}</td>
                <td  style ="background-color:red;color:white;">
                  <form class="row" method="POST" action="{{ route('user-management.destroy', ['id' => $user->id]) }}" onsubmit = "return confirm('Are you sure?')">
                      <input type="hidden" name="_method" value="DELETE">
                      <input type="hidden" name="_token" value="{{ csrf_token() }}">
                      <a href="{{ URL::to('admin/user/resetpassword',$user->id)}}" class="btn btn-info  btn-margin">
                      ResetPassword
                      </a>
                      <a href="{{ route('user-management.edit', ['id' => $user->id]) }}" class="btn btn-warning  btn-margin">
                      Update
                      </a>

                      @if ($user->username != Auth::user()->username)
                       <button type="submit" class="btn btn-danger c btn-margin">
                        Delete
                      </button>
                      @endif
                  </form>
                </td>
              @elseif ($user->status == "Suspend")
              <td style ="background-color:orange;color:white"  >{{ $user->username }}</td>
              <td style ="background-color:orange;color:white"   >{{ $user->firstname }}</td>
              <td style ="background-color:orange;color:white"   >{{ $user->lastname }}</td>
                <td style ="background-color:orange;color:white">{{ $user->email }}</td>
                <td style ="background-color:orange;color:white">{{ $user->status }}</td>
                <td style ="background-color:orange;color:white">{{ $user->user_pid }}</td>
                <td style ="background-color:orange;color:white">
                  <form class="row" method="POST" action="{{ route('user-management.destroy', ['id' => $user->id]) }}" onsubmit = "return confirm('Are you sure?')">
                      <input type="hidden" name="_method" value="DELETE">
                      <input type="hidden" name="_token" value="{{ csrf_token() }}">
                      <a href="{{ URL::to('admin/user/resetpassword',$user->id)}}" class="btn btn-info  btn-margin">
                      ResetPassword
                      </a>
                      <a href="{{ route('user-management.edit', ['id' => $user->id]) }}" class="btn btn-warning  btn-margin">
                      Update
                      </a>

                      @if ($user->username != Auth::user()->username)
                       <button type="submit" class="btn btn-danger c btn-margin">
                        Delete
                      </button>
                      @endif
                  </form>
                </td>
              @elseif ($user->status == "Disabled")
              <td style ="background-color:grey;color:white"  >{{ $user->username }}</td>
              <td style ="background-color:grey;color:white"   >{{ $user->firstname }}</td>
              <td style ="background-color:grey;color:white"   >{{ $user->lastname }}</td>
                <td style ="background-color:grey;color:white">{{ $user->email }}</td>
                <td style ="background-color:grey;color:white">{{ $user->status }}</td>
                <td style ="background-color:grey;color:white">{{ $user->user_pid }}</td>
                <td style ="background-color:grey;color:white">
                  <form class="row" method="POST" action="{{ route('user-management.destroy', ['id' => $user->id]) }}" onsubmit = "return confirm('Are you sure?')">
                      <input type="hidden" name="_method" value="DELETE">
                      <input type="hidden" name="_token" value="{{ csrf_token() }}">
                      <a href="{{ URL::to('admin/user/resetpassword',$user->id)}}" class="btn btn-info  btn-margin">
                      ResetPassword
                      </a>
                      <a href="{{ route('user-management.edit', ['id' => $user->id]) }}" class="btn btn-warning  btn-margin">
                      Update
                      </a>

                      @if ($user->username != Auth::user()->username)
                       <button type="submit" class="btn btn-danger c btn-margin">
                        Delete
                      </button>
                      @endif
                  </form>
                </td>

              @else
              <td  >{{ $user->username }}</td>
              <td   >{{ $user->firstname }}</td>
              <td   >{{ $user->lastname }}</td>
                <td>{{ $user->email }}</td>
                <td>{{ $user->status }}</td>
                <td>{{ $user->user_pid }}</td>
                <td>
                  <form class="row" method="POST" action="{{ route('user-management.destroy', ['id' => $user->id]) }}" onsubmit = "return confirm('Are you sure?')">
                      <input type="hidden" name="_method" value="DELETE">
                      <input type="hidden" name="_token" value="{{ csrf_token() }}">
                      <a href="{{ URL::to('admin/user/resetpassword',$user->id)}}" class="btn btn-info  btn-margin">
                      ResetPassword
                      </a>
                      <a href="{{ route('user-management.edit', ['id' => $user->id]) }}" class="btn btn-warning  btn-margin">
                      Update
                      </a>

                      @if ($user->username != Auth::user()->username)
                       <button type="submit" class="btn btn-danger c btn-margin">
                        Delete
                      </button>
                      @endif
                  </form>
                </td>
                @endif




              </tr>
            @endforeach
            </tbody>
            <tfoot>
              <tr>
                <th width="10%" class="sorting " tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="User Name: activate to sort column ascending">User Name</th>

                <th width="20%" class="sorting " tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="First Name: activate to sort column ascending">First Name</th>
                <th width="20%" class="sorting " tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="Last Name: activate to sort column ascending">Last Name</th>

                <th width="20%" class="sorting " tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="Email: activate to sort column ascending">Email</th>

                <th width="10%" class="sorting" tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="Email: activate to sort column ascending">Status</th>
                <th width="10%" class="sorting" tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="Email: activate to sort column ascending">PublicID</th>
                <th rowspan="20%" colspan="2">Action</th>
              </tr>
            </tfoot>
          </table>
        </div>
      </div>
      </div>
      <div class="row">
        <div class="col-sm-5">
          <div class="dataTables_info" id="example2_info" role="status" aria-live="polite">Showing 1 to {{count($users)}} of {{count($users)}} entries</div>
        </div>
        <div class="col-sm-7">
          <div class="dataTables_paginate paging_simple_numbers" id="example2_paginate">
            {{ $users->links() }}
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- /.box-body -->
</div>
    </section>
    <!-- /.content -->

  </div>
@endsection

laravel/resources/views/users-mgmt/pagination_data.blade.php
@foreach ($users as $user)

    <tr styler="color:green;"role="row" class="odd">



      @if($user->status == "Active")
      <td style ="background-color:#DAF7A6  ;color:black">{{ $user->username }}</td>
      <td style ="background-color:#DAF7A6  ;color:black">{{ $user->firstname }}</td>
      <td style ="background-color:#DAF7A6  ;color:black" >{{ $user->lastname }}</td>
        <td style ="background-color:#DAF7A6  ;color:black">{{ $user->email }}</td>
        <td style ="background-color:#DAF7A6  ;color:black">{{ $user->status }}</td>
        <td style ="background-color:#DAF7A6  ;color:black">{{ $user->user_pid }}</td>
        <td style ="background-color:#DAF7A6;color:black">{{ $user->limit_prospect }}</td>

        <td style ="background-color:#DAF7A6  ;color:black">
          <form class="row" method="POST" action="{{ route('user-management.destroy', ['id' => $user->id]) }}" onsubmit = "return confirm('Are you sure?')">
              <input type="hidden" name="_method" value="DELETE">
              <input type="hidden" name="_token" value="{{ csrf_token() }}">
              <a href="{{ URL::to('admin/user/resetpassword',$user->id)}}" class="btn btn-info  btn-margin">
              ResetPassword
              </a>
              <a href="{{ route('user-management.edit', ['id' => $user->id]) }}" class="btn btn-warning  btn-margin">
              Update
              </a>

              @if ($user->username != Auth::user()->username)
               <button type="submit" class="btn btn-danger c btn-margin">
                Delete
              </button>
              @endif
          </form>
        </td>


  @elseif ($user->status == "Banned")
  <td style ="background-color:red;color:white;"  >{{ $user->username }}</td>
  <td style ="background-color:red;color:white;"   >{{ $user->firstname }}</td>
  <td style ="background-color:red;color:white;"   >{{ $user->lastname }}</td>
    <td style ="background-color:red;color:white;">{{ $user->email }}</td>
    <td style ="background-color:red;color:white;">{{ $user->status }}</td>
    <td style ="background-color:red;color:white;">{{ $user->user_pid }}</td>
    <td style ="background-color:red;color:white">{{ $user->limit_prospect }}</td>

    <td  style ="background-color:red;color:white;">
      <form class="row" method="POST" action="{{ route('user-management.destroy', ['id' => $user->id]) }}" onsubmit = "return confirm('Are you sure?')">
          <input type="hidden" name="_method" value="DELETE">
          <input type="hidden" name="_token" value="{{ csrf_token() }}">
          <a href="{{ URL::to('admin/user/resetpassword',$user->id)}}" class="btn btn-info  btn-margin">
          ResetPassword
          </a>
          <a href="{{ route('user-management.edit', ['id' => $user->id]) }}" class="btn btn-warning  btn-margin">
          Update
          </a>

          @if ($user->username != Auth::user()->username)
           <button type="submit" class="btn btn-danger c btn-margin">
            Delete
          </button>
          @endif
      </form>
    </td>
  @elseif ($user->status == "Suspend")
  <td style ="background-color:orange;color:white"  >{{ $user->username }}</td>
  <td style ="background-color:orange;color:white"   >{{ $user->firstname }}</td>
  <td style ="background-color:orange;color:white"   >{{ $user->lastname }}</td>
    <td style ="background-color:orange;color:white">{{ $user->email }}</td>
    <td style ="background-color:orange;color:white">{{ $user->status }}</td>
    <td style ="background-color:orange;color:white">{{ $user->user_pid }}</td>
    <td style ="background-color:orange;color:white">{{ $user->limit_prospect }}</td>
    <td style ="background-color:orange;color:white">
      <form class="row" method="POST" action="{{ route('user-management.destroy', ['id' => $user->id]) }}" onsubmit = "return confirm('Are you sure?')">
          <input type="hidden" name="_method" value="DELETE">
          <input type="hidden" name="_token" value="{{ csrf_token() }}">
          <a href="{{ URL::to('admin/user/resetpassword',$user->id)}}" class="btn btn-info  btn-margin">
          ResetPassword
          </a>
          <a href="{{ route('user-management.edit', ['id' => $user->id]) }}" class="btn btn-warning  btn-margin">
          Update
          </a>

          @if ($user->username != Auth::user()->username)
           <button type="submit" class="btn btn-danger c btn-margin">
            Delete
          </button>
          @endif
      </form>
    </td>
  @elseif ($user->status == "Disabled")
  <td style ="background-color:grey;color:white"  >{{ $user->username }}</td>
  <td style ="background-color:grey;color:white"   >{{ $user->firstname }}</td>
  <td style ="background-color:grey;color:white"   >{{ $user->lastname }}</td>
    <td style ="background-color:grey;color:white">{{ $user->email }}</td>
    <td style ="background-color:grey;color:white">{{ $user->status }}</td>
    <td style ="background-color:grey;color:white">{{ $user->user_pid }}</td>
    <td style ="background-color:grey;color:white">{{ $user->limit_prospect }}</td>

    <td style ="background-color:grey;color:white">
      <form class="row" method="POST" action="{{ route('user-management.destroy', ['id' => $user->id]) }}" onsubmit = "return confirm('Are you sure?')">
          <input type="hidden" name="_method" value="DELETE">
          <input type="hidden" name="_token" value="{{ csrf_token() }}">
          <a href="{{ URL::to('admin/user/resetpassword',$user->id)}}" class="btn btn-info  btn-margin">
          ResetPassword
          </a>
          <a href="{{ route('user-management.edit', ['id' => $user->id]) }}" class="btn btn-warning  btn-margin">
          Update
          </a>

          @if ($user->username != Auth::user()->username)
           <button type="submit" class="btn btn-danger c btn-margin">
            Delete
          </button>
          @endif
      </form>
    </td>

  @else
  <td  >{{ $user->username }}</td>
  <td   >{{ $user->firstname }}</td>
  <td   >{{ $user->lastname }}</td>
    <td>{{ $user->email }}</td>
    <td>{{ $user->status }}</td>
    <td>{{ $user->user_pid }}</td>
    <td>{{ $user->limit_prospect }}</td>

    <td>
      <form class="row" method="POST" action="{{ route('user-management.destroy', ['id' => $user->id]) }}" onsubmit = "return confirm('Are you sure?')">
          <input type="hidden" name="_method" value="DELETE">
          <input type="hidden" name="_token" value="{{ csrf_token() }}">
          <a href="{{ URL::to('admin/user/resetpassword',$user->id)}}" class="btn btn-info  btn-margin">
          ResetPassword
          </a>
          <a href="{{ route('user-management.edit', ['id' => $user->id]) }}" class="btn btn-warning  btn-margin">
          Update
          </a>

          @if ($user->username != Auth::user()->username)
           <button type="submit" class="btn btn-danger c btn-margin">
            Delete
          </button>
          @endif
      </form>
    </td>
    @endif




  </tr>

@endforeach
<tr>
       <td colspan="8" align="center">
         {!! $users->links() !!}
       </td>
      </tr>
<div class="row">
  <div class="col-sm-5">
    <div class="dataTables_info" id="example2_info" role="status" aria-live="polite">Showing 1 to {{count($users)}} of {{count($users)}} entries</div>
  </div>
  <div class="col-sm-7">
    <div class="dataTables_paginate paging_simple_numbers" id="example2_paginate">
         </div>
  </div>
</div>